package uam.patrones.composite.principal;

import uam.patrones.composite.clases.CompositePattern;
import uam.patrones.composite.clases.Hoja;

public class Principal {

	public static void main(String[] args) {
		
	
		patronComposite();
		
	}
	

	private static void patronComposite() {
		
		
		CompositePattern tallerMatematicas = new CompositePattern();
		CompositePattern introduccionAlCalculo = new CompositePattern();
		
		CompositePattern calculoDiferencial = new CompositePattern();
		Hoja complementosMatematicas = new Hoja();
		Hoja calculoIntegral = new Hoja();
		
	
		tallerMatematicas.setClave("1112026");
		tallerMatematicas.setNombre("Taller de Matematicas");
		tallerMatematicas.setCreditos(7);
		
		introduccionAlCalculo.setClave("1112027");
		introduccionAlCalculo.setNombre("Introduccion al Calculo");
		introduccionAlCalculo.setCreditos(6);
		
		complementosMatematicas.setClave("1112013");
		complementosMatematicas.setNombre("Complementos de Matematicas");
		complementosMatematicas.setCreditos(9);
		
		calculoDiferencial.setClave("1112028");
		calculoDiferencial.setNombre("Calculo Diferencial");
		calculoDiferencial.setCreditos(9);
		
		calculoIntegral.setClave("1112029");
		calculoIntegral.setNombre("Calculo Integral");
		calculoIntegral.setCreditos(9);
		
		tallerMatematicas.agregar(introduccionAlCalculo);
		tallerMatematicas.agregar(complementosMatematicas);
		introduccionAlCalculo.agregar(calculoDiferencial);
		
		calculoDiferencial.agregar(calculoIntegral);
		
		
		
		//tallerMatematicas.mostrar(0);
	}

}
