package uam.patrones.composite.clases;

import java.util.LinkedList;

public class CompositePattern extends Uea{

	private LinkedList<Uea> dependientes = 
			new LinkedList<Uea>();
	
	
	@Override
	public void agregar(Uea c) {
		
		dependientes.add(c);
		
	}

	@Override
	public void eliminar(Uea c) {
		
		dependientes.remove(c);
	}

	@Override
	public void mostrar(int profundidad) {
		String nivel = "-";
		System.out.println(toString());
		for (int i = 0; i < dependientes.size(); i++) {
			for(int j=0;j<profundidad;j++)
				nivel+="-";
			System.out.print(nivel);
			dependientes.get(i).mostrar(profundidad+1);
		}
			
		
	}

}
